Overview | Modules | Class Hierarchy | Classes | Members

# tlp::View Class Reference

`#include <View.h>`

Inherited by tlp::AbstractView.

Inheritance diagram for tlp::View:

[legend]
List of all members.

## Detailed Description

Tulip view interface class.

View class provide the skeleton of a view

## Public Slots

- virtual void setGraph (Graph *graph)=0
- virtual void draw ()=0
- virtual void refresh ()=0
- virtual void init ()=0

## Signals

- void elementSelected (unsigned int eltId, bool isNode)
- void requestChangeGraph (View *, Graph *)

## Public Member Functions

- virtual ~View ()
- virtual QWidget * construct (QWidget *parent)=0
- virtual QWidget * getWidget ()=0
- virtual void setData (Graph *graph, DataSet dataSet)=0
- virtual void getData (Graph **graph, DataSet *dataSet)=0
- virtual Graph * getGraph ()=0
- virtual std::list< std::pair<
  QWidget *, std::string > > getConfigurationWidget ()
- virtual void setInteractors (const std::list< Interactor * > &interactors)=0
- virtual std::list< Interactor * > getInteractors ()=0
- virtual void setActiveInteractor (Interactor *interactor)=0
- virtual void createPicture (const std::string &pictureName, int width=0, int height=0)=0
- virtual std::string getRealViewName ()

## Constructor & Destructor Documentation

virtual tlp::View::~View | ( |  | ) | `[inline, virtual]`

| empty destructor : for inheritance

## Member Function Documentation

virtual QWidget* tlp::View::construct | ( | QWidget * | parent | ) | `[pure virtual]`

Construct GUI of the view

Returns:
  QWidget is the main widget of the view (in MainController this widget will be add to workspace)

Implemented in tlp::AbstractView, tlp::BaseGraphicsViewComponent, tlp::GlMainView, and tlp::NodeLinkDiagramComponent.

virtual void tlp::View::createPicture | ( | const std::string & | pictureName,
|  | int | width = `0`,
|  | int | height = `0`
| ) | `[pure virtual]`

| Take a snapshot of the view and put it in a picture Implemented in tlp::BaseGraphicsViewComponent, and tlp::GlMainView.

virtual void tlp::View::draw | ( |  | ) | `[pure virtual, slot]`

| Draw the view Implemented in tlp::BaseGraphicsViewComponent, tlp::GlMainView, and tlp::NodeLinkDiagramComponent.

void tlp::View::elementSelected | ( | unsigned int | eltId,
|  | bool | isNode
| ) | `[signal]`

| This signal is emit when a specific element is selected in the view

virtual std::list<std::pair<QWidget *,std::string> > tlp::View::getConfigurationWidget | ( |  | ) | `[inline, virtual]`

| Return configuration widget used, this widget will be add on left of the MainController Reimplemented in tlp::NodeLinkDiagramComponent.

virtual void tlp::View::getData | ( | Graph ** | graph,
|  | DataSet * | dataSet
| ) | `[pure virtual]`

| Get the graph and data of the view Implemented in tlp::BaseGraphicsViewComponent, and tlp::NodeLinkDiagramComponent.

virtual Graph* tlp::View::getGraph | ( |  | ) | `[pure virtual]`

| get Graph attached to this view Implemented in tlp::BaseGraphicsViewComponent, and tlp::GlMainView.

virtual std::list<Interactor *> tlp::View::getInteractors | ( |  | ) | `[pure virtual]`

| Return interactors of this view Implemented in tlp::AbstractView, and tlp::BaseGraphicsViewComponent.

virtual std::string tlp::View::getRealViewName | ( |  | ) | `[inline, virtual]`

| Return the real view name (if "" the real name is the name give by plugin) Reimplemented in tlp::BaseGraphicsViewComponent.

virtual QWidget* tlp::View::getWidget | ( |  | ) | `[pure virtual]`

| Return the widget of this view Implemented in tlp::AbstractView.

virtual void tlp::View::init | ( |  | ) | `[pure virtual, slot]`

| Reinit the view and draw Implemented in tlp::BaseGraphicsViewComponent, and tlp::NodeLinkDiagramComponent.

virtual void tlp::View::refresh | ( |  | ) | `[pure virtual, slot]`

| Refresh the view (data don't be modified) Implemented in tlp::BaseGraphicsViewComponent, tlp::GlMainView, and tlp::NodeLinkDiagramComponent.

void tlp::View::requestChangeGraph | ( | View * | ,
|  | Graph * |
| ) | `[signal]`

| This signal is emit when the view want to change its graph

virtual void tlp::View::setActiveInteractor | ( | Interactor * | interactor | ) | `[pure virtual]`

| Set active interactor on this view Implemented in tlp::AbstractView, and tlp::BaseGraphicsViewComponent.

virtual void tlp::View::setData | ( | Graph * | graph,
|  | DataSet | dataSet
| ) | `[pure virtual]`

| Set the graph and data to the view Implemented in tlp::BaseGraphicsViewComponent, and tlp::NodeLinkDiagramComponent.

virtual void tlp::View::setGraph | ( | Graph * | graph | ) | `[pure virtual, slot]`

| Change the graph Implemented in tlp::BaseGraphicsViewComponent, and tlp::NodeLinkDiagramComponent.

virtual void tlp::View::setInteractors | ( | const std::list< Interactor * > & | interactors | ) | `[pure virtual]`

| Set all interactors available forthis view Interactors are create (allocate) but now view have responsibility of her destruction Implemented in tlp::AbstractView, and tlp::BaseGraphicsViewComponent.

Tulip Software by LaBRI Visualization Team 2001 - 2010